Bug 1029090 - [abrt] libreoffice-core-3.6.7.2-4.fc18: file_image_pagein: Process /usr/lib/libreoffice/program/oosplash was killed by signal 7 (SIGBUS) [NEEDINFO]
[abrt] libreoffice-core-3.6.7.2-4.fc18: file_image_pagein: Process /usr/lib/l...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:71a650915437e9c26f89f99960a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 11:16 EST by xychu
Modified: 2013-12-13 07:38 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 07:38:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
caolanm: needinfo? (xychu)


Attachments (Terms of Use)
File: backtrace (9.84 KB, text/plain)
2013-11-11 11:16 EST, xychu
no flags Details
File: cgroup (130 bytes, text/plain)
2013-11-11 11:16 EST, xychu
no flags Details
File: core_backtrace (3.27 KB, text/plain)
2013-11-11 11:16 EST, xychu
no flags Details
File: dso_list (1.63 KB, text/plain)
2013-11-11 11:16 EST, xychu
no flags Details
File: environ (1.38 KB, text/plain)
2013-11-11 11:16 EST, xychu
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-11 11:16 EST, xychu
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-11 11:16 EST, xychu
no flags Details
File: maps (4.63 KB, text/plain)
2013-11-11 11:16 EST, xychu
no flags Details
File: open_fds (280 bytes, text/plain)
2013-11-11 11:16 EST, xychu
no flags Details
File: proc_pid_status (786 bytes, text/plain)
2013-11-11 11:17 EST, xychu
no flags Details

  None (edit)
Description xychu 2013-11-11 11:16:16 EST
Description of problem:
i cannot even run libreoffice

Version-Release number of selected component:
libreoffice-core-3.6.7.2-4.fc18

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/oosplash --writer file:///home/xychu/Pobrane/Oferta_pracy.doc
crash_function: file_image_pagein
executable:     /usr/lib/libreoffice/program/oosplash
kernel:         3.11.4-101.fc18.i686
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Nov 11 10:19:57 Linux abrt[23443]: Saved core dump of pid 23432 (/usr/lib/libreoffice/program/oosplash) to /var/tmp/abrt/ccpp-2013-11-11-10:19:57-23432 (9883648 bytes)

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 file_image_pagein at /usr/src/debug/libreoffice-3.6.7.2/desktop/unx/source/file_image_unx.c:113
 #1 do_pagein at /usr/src/debug/libreoffice-3.6.7.2/desktop/unx/source/pagein.c:45
 #2 pagein_execute at /usr/src/debug/libreoffice-3.6.7.2/desktop/unx/source/pagein.c:129
 #3 exec_pagein at /usr/src/debug/libreoffice-3.6.7.2/desktop/unx/source/start.c:645
 #4 sal_main_with_args at /usr/src/debug/libreoffice-3.6.7.2/desktop/unx/source/start.c:881

Potential duplicate: bug 804429
Comment 1 xychu 2013-11-11 11:16:21 EST
Created attachment 822484 [details]
File: backtrace
Comment 2 xychu 2013-11-11 11:16:25 EST
Created attachment 822485 [details]
File: cgroup
Comment 3 xychu 2013-11-11 11:16:29 EST
Created attachment 822486 [details]
File: core_backtrace
Comment 4 xychu 2013-11-11 11:16:35 EST
Created attachment 822487 [details]
File: dso_list
Comment 5 xychu 2013-11-11 11:16:41 EST
Created attachment 822488 [details]
File: environ
Comment 6 xychu 2013-11-11 11:16:44 EST
Created attachment 822489 [details]
File: exploitable
Comment 7 xychu 2013-11-11 11:16:48 EST
Created attachment 822490 [details]
File: limits
Comment 8 xychu 2013-11-11 11:16:52 EST
Created attachment 822491 [details]
File: maps
Comment 9 xychu 2013-11-11 11:16:56 EST
Created attachment 822492 [details]
File: open_fds
Comment 10 xychu 2013-11-11 11:17:00 EST
Created attachment 822493 [details]
File: proc_pid_status
Comment 11 Stephan Bergmann 2013-11-11 12:44:36 EST
SIGBUS when LO's pagein reads a page somewhere in the middle (at 0xb6c8b000) of /usr/lib/libreoffice/program/libsotlo.so (mmap'ed from 0xb6c5d000 to 0xb6cc2000).  Odd.
Comment 12 Caolan McNamara 2013-11-12 09:09:16 EST
Please get it to crash again and then check the last few lines of your dmesg output and and /var/log/messages output for any mention of anything interesting. I rather suspect your may have a hardware problem or something else generically broken which just happens to affect LibreOffice

Note You need to log in before you can comment on or make changes to this bug.